---
title: "Update email footer"
url: "https://docs.signnow.com/docs/org-email-footer/operations/put-v2-organizations-org_id-email-footers-footer_id"
type: "endpoint"
section: "org-email-footer"
slug: "org-email-footer/operations/put-v2-organizations-org_id-email-footers-footer_id"
method: "PUT"
path: "/v2/organizations/{org_id}/email-footers/{footer_id}"
operation_id: "put-v2-organizations-org_id-email-footers-footer_id"
authorization: "bearer"
---

# Update email footer

`PUT /v2/organizations/{org_id}/email-footers/{footer_id}`

Allows users to update a specific email footer text of the organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the organization the email footer is retrieved for. |
| `footer_id` | string | Yes | ID of the retrieved footer. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "footer",
    "active"
  ],
  "properties": {
    "active": {
      "type": "boolean",
      "description": "Set this footer active or not. Possible values: `true` - set active, `false` - deactivate."
    },
    "footer": {
      "type": "string",
      "minLength": 1,
      "description": "The footer text."
    }
  },
  "x-examples": {
    "example-1": {
      "active": true,
      "footer": "footer text"
    }
  },
  "description": ""
}
```

**Example** (`application/json`)

```json
{
  "active": true,
  "footer": "footer text"
}
```

## Responses

### 204

Returns the 204: No content in case of successful response for the admins and moderators with trial, professional and enterprise subscription. Returns an error when:

* If user is not admin/moderator of the Org, "code": 12003003. Message: "Access denied for current administration role in your organization."
* If user who does not have appropriate subscription tries to update settings, "code": 12003002. Message: "Access denied for current asubscription."
* If user tries to update settings of the organization that is not active or does not exist, "code": 12003001. Message: "Organization `deXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` is not found."
* Email footer is not found, "code": 12010003. Message: "EmailFooter `%` is not found."
* The `footer` field must be a string, "code": 12010001. Message: "The `footer` field must be a string."
* The `footer` field length must be less than 65536 characters, "code": 12010005. Message: "The `footer` field length must be less than 65536 characters."
* The `active` field must be a boolean value, "code": 12010006. Message: "The `active` field must be a boolean value."

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/organizations/{org_id}/email-footers/{footer_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"active": true, "footer": "footer text"}'
```

---
*Full reference: https://docs.signnow.com/docs/org-email-footer/operations/put-v2-organizations-org_id-email-footers-footer_id*
